Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005270 [JEDI VCL] 04 Feature Request feature N/A 2010-06-25 13:53 2012-02-29 16:55
Reporter HeikoAdams View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005270: [JvTimeEdit] Jump over ':' while entering time values
Description Currently you've to manualy enter the time seperators (':') while entering time values. This makes using this component harder because normaly you don't have to enter ':'.

I've modified the behaviour of TJvCustomTimeEdit.KeyPress to jump over the seperators.
Additional Information Modifications are marked by //HA 100625 ..
Tags No tags attached.
Attached Files ? file icon JvSpin.pas [^] (85,694 bytes) 2010-06-25 13:53
zip file icon TestApp.zip [^] (2,824 bytes) 2010-10-08 16:18

- Relationships

-  Notes
(0017596)
obones (administrator)
2010-08-20 11:44

Please provide the zipped sources of a sample application showing this
(0017809)
obones (administrator)
2010-10-08 16:01

Any news here?
Having a sample application makes testing easier
(0017818)
HeikoAdams (reporter)
2010-10-08 16:20

Okay, I've added a test application. Happy testing!
(0018179)
AHUser (developer)
2010-11-27 14:49

Fixed in svn revision 12907.

- Issue History
Date Modified Username Field Change
2010-06-25 13:53 HeikoAdams New Issue
2010-06-25 13:53 HeikoAdams File Added: JvSpin.pas
2010-08-20 11:44 obones Note Added: 0017596
2010-08-20 11:44 obones Status new => feedback
2010-10-08 16:01 obones Note Added: 0017809
2010-10-08 16:18 HeikoAdams File Added: TestApp.zip
2010-10-08 16:20 HeikoAdams Note Added: 0017818
2010-11-27 14:49 AHUser Note Added: 0018179
2010-11-27 14:49 AHUser Status feedback => resolved
2010-11-27 14:49 AHUser Fixed in Version => Daily / SVN
2010-11-27 14:49 AHUser Resolution open => fixed
2010-11-27 14:49 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker